- Classes
- Namespaces
- Interfaces
- Index

PHP-FFMpeg API
Class

# FFMpeg\Format\Audio\Flac

class Flac extends DefaultAudio

The Flac audio format

## Methods

string | getExtraParams() Returns extra parameters for the encoding | from DefaultAudio
| getAudioCodec() {@inheritdoc} | from DefaultAudio
| setAudioCodec(string $audioCodec) Set the audio codec, Should be in the available ones, otherwise an exception is thrown | from DefaultAudio
integer | getAudioSampleRate() Get the audio sample rate | from DefaultAudio
| setAudioSampleRate(integer $audioSampleRate) Set the audio sample rate | from DefaultAudio
| getKiloBitrate() {@inheritdoc} | from DefaultAudio
| setKiloBitrate(int $kiloBitrate) Set the kiloBitrate value | from DefaultAudio
| getAvailableAudioCodecs() {@inheritDoc} |

## Details

###
in DefaultAudio at line 32
`public string getExtraParams()`

Returns extra parameters for the encoding

#### Return Value

string |

###
in DefaultAudio at line 40
`public getAudioCodec()`

{@inheritdoc}

###
in DefaultAudio at line 52
`public setAudioCodec(string $audioCodec)`

Set the audio codec, Should be in the available ones, otherwise an exception is thrown

#### Parameters

string | $audioCodec |

#### Exceptions

InvalidArgumentException |

###
in DefaultAudio at line 69
`public integer getAudioSampleRate()`

Get the audio sample rate

#### Return Value

integer |

###
in DefaultAudio at line 80
`public setAudioSampleRate(integer $audioSampleRate)`

Set the audio sample rate

#### Parameters

integer | $audioSampleRate |

#### Exceptions

InvalidArgumentException |

###
in DefaultAudio at line 94
`public getKiloBitrate()`

{@inheritdoc}

###
in DefaultAudio at line 105
`public setKiloBitrate(int $kiloBitrate)`

Set the kiloBitrate value

#### Parameters

int | $kiloBitrate | integer $kiloBitrate

#### Exceptions

InvalidArgumentException |

###
at line 26
`public getAvailableAudioCodecs()`

{@inheritDoc}